- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: c8cbc51d-b394-4863-9617-e06fa2c15a72
    creation_time: 2023-02-17T12:10:30.718066Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-new/half.c
      input_file_hashes:
        c/loop-new/half.c: c93ccee4329caa7d959374f9f84485affb800634034f428b8af5cb59eb34f889
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-new/half.c
    file_hash: c93ccee4329caa7d959374f9f84485affb800634034f428b8af5cb59eb34f889
    line: 7
    column: 0
    function: assume_abort_if_not
  loop_invariant:
    string: 0 <= i && i == 2*n-i%2 &&  ( k < 0 || i <= 2*k ) 
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: af587cd9-8008-4239-b164-28f2d864870d
    creation_time: 2023-02-17T12:10:30.718380Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-new/half.c
      input_file_hashes:
        c/loop-new/half.c: c93ccee4329caa7d959374f9f84485affb800634034f428b8af5cb59eb34f889
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-new/half.c
    file_hash: c93ccee4329caa7d959374f9f84485affb800634034f428b8af5cb59eb34f889
    line: 12
    column: 0
    function: __VERIFIER_assert
  location_invariant:
    string: k < 0 || n == k
    type: assertion
    format: C

